com.sun.grid.jgdi.configuration

## Class Util

- java.lang.Object
- - com.sun.grid.jgdi.configuration.Util

-     public class Util
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addDescriptor(java.lang.Class aClass, ClassDescriptor cd)` Register a new class descriptor.
    `static java.lang.Object` | `clone(java.lang.Object obj)`
    `static GEObject` | `findObject(java.lang.String path, GEObject root)`
    `static ClassDescriptor` | `getDescriptor(java.lang.Class aClass)`
    `static ClassDescriptor` | `getDescriptorForCullType(java.lang.String cullType)` Get a descriptor of a cull type
    `static void` | `getDifferences(GEObject obj1, GEObject obj2, java.util.List<com.sun.grid.jgdi.configuration.Util.Difference> differences)`
    `static void` | `getDifferences(GEObject obj1, GEObject obj2, java.lang.String path, java.util.List<com.sun.grid.jgdi.configuration.Util.Difference> differences)`
    `static int` | `nextObjectId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Util

          public Util()

  - ### Method Detail

    - #### getDescriptorForCullType

          public static ClassDescriptor getDescriptorForCullType(java.lang.String cullType)

      Get a descriptor of a cull type
      Parameters:
        `cullType` - name of the cull type
      Returns:
        the descriptor
      Throws:
        `java.lang.IllegalArgumentException` - if the cullType is unknown

    - #### addDescriptor

          public static void addDescriptor(java.lang.Class aClass,
                                           ClassDescriptor cd)

      Register a new class descriptor.
      Parameters:
        `aClass` - the described class
        `cd` - the descriptor

    - #### getDescriptor

          public static ClassDescriptor getDescriptor(java.lang.Class aClass)

    - #### clone

          public static java.lang.Object clone(java.lang.Object obj)

    - #### nextObjectId

          public static int nextObjectId()

    - #### findObject

          public static GEObject findObject(java.lang.String path,
                                            GEObject root)

    - #### getDifferences

          public static void getDifferences(GEObject obj1,
                                            GEObject obj2,
                                            java.util.List<com.sun.grid.jgdi.configuration.Util.Difference> differences)

    - #### getDifferences

          public static void getDifferences(GEObject obj1,
                                            GEObject obj2,
                                            java.lang.String path,
                                            java.util.List<com.sun.grid.jgdi.configuration.Util.Difference> differences)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.